/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#include <winsock2.h>
#include <stdlib.h>

#include	"task.h"
#include	"netutils.h"
#include	"lock_level.h"

SEM netutils_lock;


void
netdb_task()
{
void ms_loop(int dummy);

void init_msequence();
	init_msequence();
	lock_task(netutils_lock);
	wakeup_task((int)netdb_task);
	unlock_task(netutils_lock,"netdb_task");
	ms_loop(0);
}

void
init_netutils(int flag)
{
WORD wVersionRequested;
WSADATA wsaData;
int err;
void init_resolv();

	wVersionRequested = MAKEWORD( 2, 2 );
	err = WSAStartup( wVersionRequested, &wsaData );
	if ( err != 0 ) {
		exit(1);
	}
	
	netutils_lock = new_lock(LL_NETUTILS);
	init_resolv();
/*
	if ( flag ) {
		lock_task(netutils_lock);
		create_task(netdb_task,0,1);
		sleep_task((int)netdb_task,netutils_lock);
	}
*/
}
